Create Prefix Delegation
POST/accounts/{account_id}/addressing/prefixes/{prefix_id}/delegations
Create a new account delegation for a given IP prefix.
Security
API Email + API Key
The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.
Example:
The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.
Example:
Accepted Permissions (at least one required)
Path Parameters
Body ParametersJSON
Create Prefix Delegation
curl https://api.cloudflare.com/client/v4/accounts/$ACCOUNT_ID/addressing/prefixes/$PREFIX_ID/delegations \
-H 'Content-Type: application/json' \
-H "X-Auth-Email: $CLOUDFLARE_EMAIL" \
-H "X-Auth-Key: $CLOUDFLARE_API_KEY" \
-d '{
"cidr": "192.0.2.0/24",
"delegated_account_id": "b1946ac92492d2347c6235b4d2611184"
}'{
"errors": [
{
"code": 1000,
"message": "message",
"documentation_url": "documentation_url",
"source": {
"pointer": "pointer"
}
}
],
"messages": [
{
"code": 1000,
"message": "message",
"documentation_url": "documentation_url",
"source": {
"pointer": "pointer"
}
}
],
"success": true,
"result": {
"id": "d933b1530bc56c9953cf8ce166da8004",
"cidr": "192.0.2.0/24",
"created_at": "2014-01-01T05:20:00.12345Z",
"delegated_account_id": "b1946ac92492d2347c6235b4d2611184",
"modified_at": "2014-01-01T05:20:00.12345Z",
"parent_prefix_id": "2af39739cc4e3b5910c918468bb89828"
}
}Returns Examples
{
"errors": [
{
"code": 1000,
"message": "message",
"documentation_url": "documentation_url",
"source": {
"pointer": "pointer"
}
}
],
"messages": [
{
"code": 1000,
"message": "message",
"documentation_url": "documentation_url",
"source": {
"pointer": "pointer"
}
}
],
"success": true,
"result": {
"id": "d933b1530bc56c9953cf8ce166da8004",
"cidr": "192.0.2.0/24",
"created_at": "2014-01-01T05:20:00.12345Z",
"delegated_account_id": "b1946ac92492d2347c6235b4d2611184",
"modified_at": "2014-01-01T05:20:00.12345Z",
"parent_prefix_id": "2af39739cc4e3b5910c918468bb89828"
}
}